package JHamlConverter;

import java.io.*;
import java.util.*;

public class Main {
        /**
         * Main method that will execute the converted method and search for the correct files
         */
        public static void main(String[] args) throws IOException {
                final String filePathHtml;
                final String filePathJhaml;

                Scanner scan = new Scanner(System.in);

                System.out.println("What is the name of the file that needs to be converted?");
                String NameJhamlFile = scan.nextLine();

                if(NameJhamlFile.equals("")){
                        filePathJhaml = "JhamlTest.txt";
                }else{
                        filePathJhaml = NameJhamlFile;
                }

                System.out.println("What would you like to call the converted file?");
                String NameNewFile = scan.nextLine();

                if(NameNewFile.equals("")){
                        filePathHtml = "JhamlToHtml.html";
                }else{
                        filePathHtml = NameNewFile;
                }

                FileWriter fileWriter = new FileWriter(filePathHtml);

                JhamlConverter.ConvertJhaml(fileWriter, filePathJhaml);
                fileWriter.close();

                BufferedReader htmlReader = new BufferedReader(new FileReader(filePathHtml));
                DebugAndTest.TestPrint(htmlReader);
    }
}
