package JHamlConverter;

import java.io.BufferedReader;
import java.io.FileWriter;
import java.io.IOException;

public class DebugAndTest {
    /**
     * Method used for debugging purposes
     * @param message - the to be displayed message
     * @param writer - FileWriter that will write the message inside the file
     */
    public static void debug(String message, FileWriter writer) throws IOException {
        writer.write(message + "\n");
    }

    /**
     * Method that reads the new file
     * @param htmlreader - reader that reads the file that is created after conversion
     */
    public static void TestPrint(BufferedReader htmlreader) throws IOException {
        String line;

        while((line = htmlreader.readLine()) != null) {
            System.out.println(line);
        }
    }
}
